Fancy Text Generator API
This API converts standard ASCII text into over 30+ various Unicode font styles. This is perfect for bio generators, social media captions, messaging bots and other applications.
Endpoint
Section titled “Endpoint” POST
/api/v1/style-text Request Parameters
Section titled “Request Parameters”The following parameters are accepted in the request body:
| Field | Type | Required | Description |
|---|---|---|---|
text | string | Yes | The text you want to convert. |
Request Examples
Section titled “Request Examples”curl -X POST https://heavstal.com.ng/api/v1/style-text \-H "Content-Type: application/json" \-H "x-api-key: <YOUR_API_KEY>" \-d '{"text": "Heavstal"}'const response = await fetch('https://heavstal.com.ng/api/v1/style-text', { method: 'POST', headers: { 'Content-Type': 'application/json', 'x-api-key': '<YOUR_API_KEY>' }, body: JSON.stringify({ text: 'Heavstal' })});
const res = await response.json();console.log(res.data);import { tools } from '@heavstal/api';
const fonts = await tools.styleText("Heavstal Tech");
// Output the first available styleconsole.log(fonts.data[0].result);import requests
url = "https://heavstal.com.ng/api/v1/style-text"headers = { "Content-Type": "application/json", "x-api-key": "<YOUR_API_KEY>"}payload = { "text": "Heavstal"}
response = requests.post(url, headers=headers, json=payload)
# Print the "Cursive" style result as an exampleprint(response.json()["data"][1]["result"])Response Examples
Section titled “Response Examples”{ "status": "success", "creator": "HEAVSTAL TECH", "total_styles": 35, "data": [ { "author": { "name": "HEAVSTAL TECH" }, "name": "Black Bubble", "result": "🅗🅔🅐🅥🅢🅣🅐🅛" }, { "author": { "name": "HEAVSTAL TECH" }, "name": "Cursive", "result": "𝓗𝓮𝓪𝓿𝓼𝓽𝓪𝓵" } ]}{ "status": "error", "error": "Missing required parameter: text"}